Bug Hunting Session
Bug 91383 - UI: Switching between Style and Formatting tabs changes document status to modified
Summary: UI: Switching between Style and Formatting tabs changes document status to m...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.0.0.0.alpha0+ Master
Hardware: x86-64 (AMD64) All
: medium normal
Assignee: Michael Stahl (CIB)
URL:
Whiteboard: target:5.1.0 target:5.0.3
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2015-05-19 12:25 UTC by Gordo
Modified: 2016-10-25 19:21 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Gordo 2015-05-19 12:25:19 UTC
1. New Text Document.
2. Open Sidebar -> Styles and Formatting.
3. Click on Character, Frame, Page, or List Styles tab.
Expected Result:
Status Bar - The document has not been modified since the last save
Result:
Status Bar - The document has been modified and the Save icon is active.

Windows Vista 64
Version: 5.0.0.0.alpha1+
Build ID: 60fb87cf6cfcbdb1a7ece00e8a2e9d1112903ed0
TinderBox: Win-x86@39, Branch:master, Time: 2015-05-18_14:12:34
Comment 1 Buovjaga 2015-05-20 11:46:57 UTC
Yep, repro with 5.0, but not with 4.4.

Win 7 Pro 64-bit, Version: 4.4.3.2
Build ID: 88805f81e9fe61362df02b9941de8e38a9b5fd16
Locale: fi_FI

Version: 5.0.0.0.alpha1+
Build ID: 2a886adb500fe481e1ea61573551b19e99c55b8b
TinderBox: Win-x86@39, Branch:master, Time: 2015-05-20_00:31:51
Locale: fi-FI (fi_FI)

Ubuntu 15.04 64-bit 
Version: 5.0.0.0.alpha1+
Build ID: 51d16cc69d8ad9065f61d108ea25d6a025a2e228
TinderBox: Linux-rpm_deb-x86_64@46-TDF-dbg, Branch:master, Time: 2015-05-17_03:58:58
Locale: en-US (en_US.UTF-8)
Comment 2 Michael 2015-05-22 21:28:33 UTC
Bisection on 5.0 branch:

$ git bisect log
# bad: [c0fbc9b85ec523099dceb0f4f778fb10042efbd7] 2015-05-19: source-hash-158b50763962f66515062300e265839828463efa
# good: [e4b0a61cedc6ac0e65a4a110fd83edd8295f4856] 2014-11-20: source-hash-d273a60bfdbf9bb7623bed38667ec0647753157c
git bisect start 'c0fbc9b85ec523099dceb0f4f778fb10042efbd7' 'e4b0a61cedc6ac0e65a4a110fd83edd8295f4856'
# good: [935d2b58beb350acf647a664a1e97376503b8acb] 2015-02-18: source-hash-dd4bd0ee74fae3d7e3a16e018021da173152571b
git bisect good 935d2b58beb350acf647a664a1e97376503b8acb
# good: [7e67865d7214e3089ffceeaac1ba916f03ac21c0] 2015-04-04: source-hash-b326270fb921b3c2e7fff2da76ebae33adcaef3d
git bisect good 7e67865d7214e3089ffceeaac1ba916f03ac21c0
# bad: [9ccc3e23269eebdb13eaa34c7231b7b9f6035c90] 2015-04-26: source-hash-3a96d8ead86dc210085f09076fd270f247442f0a
git bisect bad 9ccc3e23269eebdb13eaa34c7231b7b9f6035c90
# good: [8fcdc79c82ce9fb3d325e4409bf5474f13dfeaca] 2015-04-15: source-hash-a4757e800be39ca528d3b7d3f39b09d10c39978e
git bisect good 8fcdc79c82ce9fb3d325e4409bf5474f13dfeaca
# good: [defc88ea8d7ec9b07cb523700965b847196b920e] 2015-04-20: source-hash-d68cf40b7a16e20e99c15d310b24c91c2ca89ef6
git bisect good defc88ea8d7ec9b07cb523700965b847196b920e
# bad: [501f64dc6b7bc583c73c3c0c6943a9ea44b2da50] 2015-04-23: source-hash-0bdb8eda1272596301391d9620ccec2866642975
git bisect bad 501f64dc6b7bc583c73c3c0c6943a9ea44b2da50
# bad: [8fae3556f5b329e77cd694af7b79d4ed2cdcdd6a] 2015-04-22: source-hash-badec7478035008f514e0976a94438fe2e32dc40
git bisect bad 8fae3556f5b329e77cd694af7b79d4ed2cdcdd6a
# bad: [40643bfab1d8cdf7cbda4e81f6d9c16dcbca8f4f] 2015-04-21: source-hash-f8d55544a42abd0ddc7a0d97cce2aedd0487ca88
git bisect bad 40643bfab1d8cdf7cbda4e81f6d9c16dcbca8f4f
# first bad commit: [40643bfab1d8cdf7cbda4e81f6d9c16dcbca8f4f] 2015-04-21: source-hash-f8d55544a42abd0ddc7a0d97cce2aedd0487ca88
Comment 3 Michael Stahl (CIB) 2015-06-16 22:03:35 UTC
regression from:

    commit ca95307638207db5d662059aa61594151a13e927
    Author:     Tomaž Vajngerl <tomaz.vajngerl@collabora.co.uk>
    AuthorDate: Mon Apr 20 20:41:20 2015 +0900
    
        preview of styles in "Style And Formatting" dialog


hmm... when creating a document the styles don't exist but the
preview effectively creates them.  this means the styles will
also be stored in documents whether they are used or not.

empty doc stored with 4.4 is 8 k and master (after clicking all
the family buttons) it's 13.5 k.

probably we need some flag on the style that it's only been created for preview?
Comment 4 Tomaz Vajngerl 2015-06-17 04:07:17 UTC
Actually, I think the existence of a style is not a good factor to determine if the style should be included or not. We know exactly when the style is used and if a style is user defined - so xmloff should export only those + a mandatory set of styles that should be included for compatibility reasons (Heading 1-9). 

BTW. this problem existed before as we preview styles in toolbar "Apply Styles" drop down, but in that case we only added a couple of styles, not all.

Funny, that creating paragraph styles don't change the document modification status.
Comment 5 Michael Stahl (CIB) 2015-09-07 14:55:10 UTC
fixed on master
Comment 6 Commit Notification 2015-09-07 14:55:32 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=93067f37cf22aa119db5878c4345fea500cbbb42

tdf#91383: sw: prevent style preview from actually creating styles

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2015-09-07 19:06:02 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=66133fd8882a070674bbb3803634c5e75e8ae772

tdf#91383: sw: actually reset the modified status too

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2015-09-08 08:43:34 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=19347304b2594f28fadf7cefe6aab4fdb5c9047f&h=libreoffice-5-0

tdf#91383: sw: prevent style preview from actually creating styles

It will be available in 5.0.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2015-09-08 08:49:17 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d83fc62ada63ea784faeee72a29b414e3efa61b3&h=libreoffice-5-0

tdf#91383: sw: actually reset the modified status too

It will be available in 5.0.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 10 Robinson Tryon (qubit) 2015-12-17 09:09:49 UTC Comment hidden (obsolete)